Package fr.gouv.vitam.worker.core.plugin

# Class CommonReportService<T>

java.lang.Object
fr.gouv.vitam.worker.core.plugin.CommonReportService<T>

Direct Known Subclasses:
  `AuditReportService`, `DeleteGotVersionsReportService`, `EliminationActionReportService`, `EvidenceAuditReportService`, `PreservationReportService`, `TraceabilityReportService`, `TransferReplyReportService`

public abstract class CommonReportService<T> extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `JSONL_EXTENSION`
  `static final String`
  `WORKSPACE_REPORT_URI`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CommonReportService(ReportType reportType)`
  `protected`
  `CommonReportService(ReportType reportType, BatchReportClientFactory batchReportClientFactory, WorkspaceClientFactory workspaceClientFactory, StorageClientFactory storageClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendEntries(String processId, List<T> entries)`
  `void`
  `cleanupReport(String processId)`
  `void`
  `deleteReportFromWorkspaceIfExists(String processId)`
  `boolean`
  `isReportWrittenInWorkspace(String processId)`
  `void`
  `storeReportToOffers(String containerName)`
  `void`
  `storeReportToWorkspace(Report reportInfo, WorkFlowExecutionContext executionContext)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JSONL_EXTENSION

    public static final String JSONL_EXTENSION
    See Also:
      - Constant Field Values

  - ### WORKSPACE_REPORT_URI

    public static final String WORKSPACE_REPORT_URI
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CommonReportService

    protected CommonReportService(ReportType reportType)

  - ### CommonReportService

    protected CommonReportService(ReportType reportType, BatchReportClientFactory batchReportClientFactory, WorkspaceClientFactory workspaceClientFactory, StorageClientFactory storageClientFactory)

- ## Method Details

  - ### appendEntries

    public void appendEntries(String processId, List<T> entries) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### isReportWrittenInWorkspace

    public boolean isReportWrittenInWorkspace(String processId) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### deleteReportFromWorkspaceIfExists

    public void deleteReportFromWorkspaceIfExists(String processId) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### storeReportToWorkspace

    public void storeReportToWorkspace(Report reportInfo, WorkFlowExecutionContext executionContext) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### storeReportToOffers

    public void storeReportToOffers(String containerName) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### cleanupReport

    public void cleanupReport(String processId) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`